{% load planner_common %}
{# TODO: Except that this uses bootstrap instead of plain css, it's the same as applications search_and_filter.html. We should DRY this at some point #}
<form method="get">
  <div class="flex flex-row justify-center p-10 mx-4">
    <label class="input input-bordered flex items-center gap-2">
      <input type="text"
             name="search"
             value="{{ search }}"
             id="search"
             class="grow"
             onInput="this.classList.toggle('hasValue', this.value)">
      <button type="submit" class="button button-primary">
        <i class="fas fa-search"></i>
      </button>
      <button alt="clear search"
              type="reset"
              onclick="document.getElementById('search').value = ''; this.form.submit()">
        <i class="fas fa-times"></i>
      </button>
    </label>
    <div class="mx-4">
      <select name="position"
              id="position-filter"
              class="select select-bordered"
              onChange="this.form.submit()">
        <option value="">All Positions</option>
        {% for position in positions_without_group %}
          <option value="{{ position.key }}"
                  {% if position == selected_position %}selected{% endif %}>{{ position.name }}</option>
        {% endfor %}
        {% for group_label, positions in positions_with_group.items %}
          <optgroup label="{{ group_label }}">
            {% for position in positions %}
              <option value="{{ position.key }}"
                      {% if position == selected_position %}selected{% endif %}>{{ position.name }}</option>
            {% endfor %}
          </optgroup>
        {% endfor %}
      </select>
    </div>
  </div>
</form>
